<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 12/26/2007 *
 * ===================                          Last change: 12/26/2007 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_wernis.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Configure wernis sub-system                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auszahlungensarten editieren                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// First merge temporarily the new API data into the current config
	mergeConfig(postRequestArray());

	// Let's test the API first (hold your horses here, cowboy! Thank you. :) )
	if (WERNIS_TEST_API()) {
		// Revert german commata
		foreach (array('payout_factor', 'withdraw_factor', 'payout_fee_percent', 'withdraw_fee_percent') as $revert) {
			setRequestPostElement('wernis_' . $revert, postRequestElement('wernis_' . $revert));
		} // END - if

		// Hash the password and remove clear-text
		setRequestPostElement('wernis_pass_md5', md5(postRequestElement('wernis_pass')));
		unsetPostRequestElement('wernis_pass');

		// Save settings
		adminSaveSettingsFromPostData();
	} else {
		// Failed to test the API!
		loadTemplate('admin_settings_saved', false, GET_WERNIS_ERROR_MESSAGE());
	}
}  else {
	// Prepare data for template output
	$content = array(
		'wernis_payout_active_y'   => '',
		'wernis_payout_active_n'   => '',
		'wernis_withdraw_active_y' => '',
		'wernis_withdraw_active_n' => '',
	);

	// Prepare payout Y/N selection
	foreach (array('wernis_payout_active', 'wernis_withdraw_active') as $entry) {
		$content[$entry . '_' . strtolower(getConfig($entry))] = ' checked="checked"';
	} // END - foreach

	// Load template
	loadTemplate('admin_config_wernis', false, $content);
}

// [EOF]
?>
