<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 06/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_user.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Delete members                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitglieder loeschen                              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Display only title when no form was submitted
addMenuDescription('admin', __FILE__);

// User exists..
if ((isFormSent()) || ((isPostRequestElementSet('del')) && (isPostRequestElementSet(('reason'))))) {
	// Is the account there?
	if (fetchUserData(getRequestElement('userid'))) {
		// Delete user account
		deleteUserAccount(getRequestElement('userid'), postRequestElement('reason'));

		// Output message
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_DEL_COMPLETED'));
	} else {
		// Account does not exists!
		loadTemplate('admin_settings_saved', false, "<div class=\"admin_failed\">".sprintf(getMessage('ADMIN_MEMBER_404'), getRequestElement('userid'))."</div>");
	}
} elseif (isPostRequestElementSet('no')) {
	// Do not delete him...
	redirectToUrl(adminCreateUserLink(getRequestElement('userid')));
} elseif (!isGetRequestElementSet('userid')) {
	// Output selection form with all confirmed user accounts listed
	addMemberSelectionBox();
} else {
	// Realy want to delete?
	if (fetchUserData(getRequestElement('userid'))) {
		// Prepare content
		$content = array(
			'email'   => generateEmailLink(getUserData('email'), 'user_data'),
			'surname' => getUserData('surname'),
			'family'  => getUserData('family'),
			'header'  => sprintf(getMessage('ADMIN_HEADER_DEL_ACCOUNT'), getRequestElement('userid')),
			'text'    => sprintf(getMessage('ADMIN_TEXT_DEL_ACCOUNT'), getRequestElement('userid')),
			'userid'  => getRequestElement('userid')
		);

		// Display form
		loadTemplate('admin_del_user', false, $content);
	} else {
		// Account does not exists!
		loadTemplate('admin_settings_saved', false, "<div class=\"admin_failed\">".sprintf(getMessage('ADMIN_MEMBER_404'), getRequestElement('userid'))."</div>");
	}
}

// [EOF]
?>
