<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/05/2008 *
 * ===================                          Last change: 09/08/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-surfbar_start.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Gives some infos to the surfbar and launch link  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Gibt ein paar Infos zur Surfbar und Startlink    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addMenuDescription('member', __FILE__);

if ((!isExtensionActive('surfbar')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('surfbar'));
	return;
} // END - if

// Prepare content for output
$content = array(
	'surfbar_static_reward' => translateComma(getConfig('surfbar_static_reward')),
	'surfbar_static_time'   => createFancyTime(getConfig('surfbar_static_time')),
	'surfbar_static_lock'   => createFancyTime(getConfig('surfbar_static_lock')),
	'surfbar_total_urls'    => SURFBAR_GET_TOTAL_URLS('ACTIVE', 0)
);

// In dynamic mode we need some more data
if (getConfig('surfbar_pay_model') == 'DYNAMIC') {
	// Total URLs
	$content = array(
		'surfbar_dynamic_percent' => translateComma(getConfig('surfbar_dynamic_percent')),
		'surfbar_total_urls'      => SURFBAR_GET_TOTAL_URLS('ACTIVE', 0),
		'surfbar_user_urls'       => SURFBAR_GET_TOTAL_USER_URLS(),
		'surfbar_total_online'    => SURFBAR_DETERMINE_TOTAL_ONLINE(),
		'surfbar_total_users'     => translateComma(countSumTotalData('CONFIRMED', 'user_data', 'userid', 'status', true)),
		'surfbar_min_reward'      => translateComma(SURFBAR_CALCULATE_DYNAMIC_MIN_VALUE()),
		'surfbar_max_reward'      => translateComma(SURFBAR_CALCULATE_DYNAMIC_MAX_VALUE()),
		'surfbar_min_time'        => createFancyTime(SURFBAR_CALCULATE_DYNAMIC_MIN_VALUE()),
		'surfbar_max_time'        => createFancyTime(SURFBAR_CALCULATE_DYNAMIC_MAX_VALUE()),
		'surfbar_dynamic_lock'    => createFancyTime(SURFBAR_CALCULATE_DYNAMIC_LOCK()),
		'surfbar_static_reward'   => translateComma(getConfig('surfbar_static_reward')),
		'surfbar_static_time'     => createFancyTime(getConfig('surfbar_static_time'))
	);
} // END - if

// Load the template
loadTemplate('member_surfbar_start_' . strtolower(getConfig('surfbar_pay_model')), false, $content);

// Load surfbar link template
loadTemplate('member_surfbar_link');

//
?>
